SDL_GetJoystickFromID(3)

NAME
SDL_GetJoystickFromID - Get the SDL_Joystick associated with an instance ID, if it has been opened.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

SDL_Joystick * SDL_GetJoystickFromID(SDL_JoystickID instance_id);

FUNCTION PARAMETERS

instance_id
    the instance ID to get the SDL_Joystick for.

RETURN VALUE
Returns an SDL_Joystick on success or NULL on failure or if it hasn't been opened yet; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.